Loading...
Searching...
No Matches
Halide::GeneratorOutput< T > Class Template Reference

`#include <Generator.h>`

Inheritance diagram for Halide::GeneratorOutput< T >:

## Public Member Functions

| GeneratorOutput (const std::string &name)
| GeneratorOutput (const char *name)
| GeneratorOutput (size_t array_size, const std::string &name)
| GeneratorOutput (const std::string &name, int d)
| GeneratorOutput (const std::string &name, const Type &t)
| GeneratorOutput (const std::string &name, const std::vector< Type > &t)
| GeneratorOutput (const std::string &name, const Type &t, int d)
| GeneratorOutput (const std::string &name, const std::vector< Type > &t, int d)
| GeneratorOutput (size_t array_size, const std::string &name, int d)
| GeneratorOutput (size_t array_size, const std::string &name, const Type &t)
| GeneratorOutput (size_t array_size, const std::string &name, const std::vector< Type > &t)
| GeneratorOutput (size_t array_size, const std::string &name, const Type &t, int d)
| GeneratorOutput (size_t array_size, const std::string &name, const std::vector< Type > &t, int d)
template<typename T2, int D2>
GeneratorOutput< T > & | operator= (Buffer< T2, D2 > &buffer)
template<typename T2>
GeneratorOutput< T > & | operator= (const Internal::StubOutputBuffer< T2 > &stub_output_buffer)
GeneratorOutput< T > & | operator= (const Func &f)

## Protected Types

using | TBase = typename Super::TBase

## Detailed Description

template<typename T>
class Halide::GeneratorOutput< T >

Definition at line 2800 of file Generator.h.

## Member Typedef Documentation

## TBase

template<typename T>

using Halide::GeneratorOutput< T >::TBase = typename Super::TBase

protected

Definition at line 2805 of file Generator.h.

## Constructor & Destructor Documentation

## GeneratorOutput() [1/13]

template<typename T>

Halide::GeneratorOutput< T >::GeneratorOutput | ( | const std::string & | name | ) |

inline explicit

Definition at line 2811 of file Generator.h.

Referenced by GeneratorOutput(), operator=(), operator=(), and operator=().

## GeneratorOutput() [2/13]

template<typename T>

Halide::GeneratorOutput< T >::GeneratorOutput | ( | const char * | name | ) |

inline explicit

Definition at line 2815 of file Generator.h.

References GeneratorOutput().

## GeneratorOutput() [3/13]

template<typename T>

Halide::GeneratorOutput< T >::GeneratorOutput | ( | size_t | array_size,
|  | const std::string & | name )

inline explicit

Definition at line 2819 of file Generator.h.

## GeneratorOutput() [4/13]

template<typename T>

Halide::GeneratorOutput< T >::GeneratorOutput | ( | const std::string & | name,
|  | int | d )

inline explicit

Definition at line 2823 of file Generator.h.

## GeneratorOutput() [5/13]

template<typename T>

Halide::GeneratorOutput< T >::GeneratorOutput | ( | const std::string & | name,
|  | const Type & | t )

inline explicit

Definition at line 2827 of file Generator.h.

## GeneratorOutput() [6/13]

template<typename T>

Halide::GeneratorOutput< T >::GeneratorOutput | ( | const std::string & | name,
|  | const std::vector< Type > & | t )

inline explicit

Definition at line 2831 of file Generator.h.

## GeneratorOutput() [7/13]

template<typename T>

Halide::GeneratorOutput< T >::GeneratorOutput | ( | const std::string & | name,
|  | const Type & | t,
|  | int | d )

inline explicit

Definition at line 2835 of file Generator.h.

## GeneratorOutput() [8/13]

template<typename T>

Halide::GeneratorOutput< T >::GeneratorOutput | ( | const std::string & | name,
|  | const std::vector< Type > & | t,
|  | int | d )

inline explicit

Definition at line 2839 of file Generator.h.

## GeneratorOutput() [9/13]

template<typename T>

Halide::GeneratorOutput< T >::GeneratorOutput | ( | size_t | array_size,
|  | const std::string & | name,
|  | int | d )

inline explicit

Definition at line 2843 of file Generator.h.

## GeneratorOutput() [10/13]

template<typename T>

Halide::GeneratorOutput< T >::GeneratorOutput | ( | size_t | array_size,
|  | const std::string & | name,
|  | const Type & | t )

inline explicit

Definition at line 2847 of file Generator.h.

## GeneratorOutput() [11/13]

template<typename T>

Halide::GeneratorOutput< T >::GeneratorOutput | ( | size_t | array_size,
|  | const std::string & | name,
|  | const std::vector< Type > & | t )

inline explicit

Definition at line 2851 of file Generator.h.

## GeneratorOutput() [12/13]

template<typename T>

Halide::GeneratorOutput< T >::GeneratorOutput | ( | size_t | array_size,
|  | const std::string & | name,
|  | const Type & | t,
|  | int | d )

inline explicit

Definition at line 2855 of file Generator.h.

## GeneratorOutput() [13/13]

template<typename T>

Halide::GeneratorOutput< T >::GeneratorOutput | ( | size_t | array_size,
|  | const std::string & | name,
|  | const std::vector< Type > & | t,
|  | int | d )

inline explicit

Definition at line 2859 of file Generator.h.

## Member Function Documentation

## operator=() [1/3]

template<typename T>
template<typename T2, int D2>

GeneratorOutput< T > & Halide::GeneratorOutput< T >::operator= | ( | Buffer< T2, D2 > & | buffer | ) |

inline

Definition at line 2867 of file Generator.h.

References GeneratorOutput().

## operator=() [2/3]

template<typename T>
template<typename T2>

GeneratorOutput< T > & Halide::GeneratorOutput< T >::operator= | ( | const Internal::StubOutputBuffer< T2 > & | stub_output_buffer | ) |

inline

Definition at line 2873 of file Generator.h.

References GeneratorOutput().

## operator=() [3/3]

template<typename T>

GeneratorOutput< T > & Halide::GeneratorOutput< T >::operator= | ( | const Func & | f | ) |

inline

Definition at line 2878 of file Generator.h.

References GeneratorOutput().

The documentation for this class was generated from the following file:

- src/Generator.h